Unraid OS version 6.9.0 available


Recommended Posts

7 minutes ago, ich777 said:

I hear about this the first time I think?

Where did you notice the '/bin/bash: line 33 [: ==: unary operator expected' what Plugins have you installed?

What process is stuck at 100%?

Process @ 100% is an unrelated, existing issue.

 

Of yours, I have NVIDIA, Mellanox, DVB & iSCSI (both actually).  Had not see the error in 6.9-rc2 previously.

Link to comment
1 minute ago, tjb_altf4 said:

Of yours, I have NVIDIA, Mellanox, DVB & iSCSI (both actually).  Had not see the error in 6.9-rc2 previously.

The Plugins are now all built and it's save to upgrade to 6.9.0 without loosing a Plugin because the packages wasn't built. :)

  • Like 2
Link to comment
4 hours ago, BVD said:

It sounds like your config might've pointed the appdata folder to another location (other than standard), and that config information was wiped.

 

I do have two system/appdata folders. One on an unassigned device and one on an array device. The system share is set to "Use cache=No". E.g.:

 

/mnt/disk17/system/

/mnt/disks/NVMe1/system/

 

VMs are running on array, Dockers are split between both. Docker/VM settings are set to:

 

/mnt/disk17/system/docker.img

/mnt/disk17/system/libvirt.img

 

Should I expect problems?

 

Edited by hawihoney
Link to comment

After updating to 6.9.0 all my user shares are gone. /mnt looks like this

d---------  1 root   root    0 Jan  1  1970 user/

and I can't change permission on that

# chmod 1777 /mnt/user
chmod: changing permissions of '/mnt/user': No such file or directory

 

Link to comment

Updated main server OK last night, but on restart had I five notifications that each of my drives that was above my 85% utilisation of capacity threshold were now back at "Normal" utilisation along with the accompanying emails.  Obviously this is not a critical issue - maybe a consequence of the fact that I don't use the default thresholds? 

 

Nonetheless, the update is much appreciated.  Will look to update backup server shortly.

 

Edit: Backup also updated. No spurious notifications, but that server is using default capacity thresholds.

Edited by S80_UK
Updated
  • Like 1
Link to comment
2 hours ago, tjb_altf4 said:

'/bin/bash: line 33 [: ==: unary operator expected' what Plugins have you installed?

@ich777, I think this is my plugin, will review. It appears on the console, Looks like I also need to suppress modinfo message in USBIP one also.

 

image.thumb.png.5eb41d6025152ebb50f262fcb6322d0d.png

 

Fixed /bin/bash line 33 error.

Edited by SimonF
Link to comment

hi all! thanks for the new version but i seem to have a problem. upgraded, pressed reboot and it's been almost 2 hours. is it normal? i have a pretty powerful cpu. can i shut down manually at least or what?

Edited by vityatsoi
Link to comment

Updated my HP DL380 G8 from 6.9 RC2 to 6.9.0 stable, no issues at all.

A mix of SAS and SATA disks, one additional (Raid1) pool, two unassigned devices.

Running docker, multiple VMs. 

There was heavy disk and CPU usage (~80% total utilisation on dual 6 core HT Xeons) after start-up, but things settled down to normal levels after a few minutes.

 

Thank you for the wonderful work.

Link to comment
44 minutes ago, SimonF said:

@ich777, I think this is my plugin, will review. It appears on the console, Looks like I also need to suppress modinfo message in USBIP one also.

What was the error? The package was built successful because I checked the contents and everything is in there...

Link to comment
14 minutes ago, ich777 said:

What was the error? The package was built successful because I checked the contents and everything is in there...

Nothing wrong with packages, its was a check in my .plg script against a variable that didn't exist, and didnt need to be there Copy and paste moment 😉

  • Like 1
Link to comment

I've just updated, and i get a noVNC error on every vm i try to access using the integrated vnc client:

 

Quote

 

noVNC encountered an error:

 

Uncaught SyntaxError: The requested module '../core/util/browser.js' does not provide an export named 'hasScrollbarGutter'

http://192.168.1.100/plugins/dynamix.vm.manager/novnc/app/ui.js?ts=20200718:11:35

SyntaxError: The requested module '../core/util/browser.js' does not provide an export named 'hasScrollbarGutter'

 

 

  • Like 1
  • Thanks 1
Link to comment

when i spin up all drives i get this error under 6.9 Stable

only two drives spin up the others stay spun down, all drives are connected to the same backplane going to an HBA.

 

Mar  2 12:10:32 TheVault emhttpd: Spinning up all drives...
Mar  2 12:10:32 TheVault emhttpd: spinning up /dev/sdg
Mar  2 12:10:32 TheVault emhttpd: spinning up /dev/sdd
Mar  2 12:10:32 TheVault emhttpd: spinning up /dev/sde
Mar  2 12:10:32 TheVault emhttpd: spinning up /dev/sdf
Mar  2 12:10:48 TheVault kernel: sd 1:0:3:0: attempting task abort!scmd(0x00000000d857461f), outstanding for 15523 ms & timeout 15000 ms
Mar  2 12:10:48 TheVault kernel: sd 1:0:3:0: [sdg] tag#1783 CDB: opcode=0x85 85 06 20 00 00 00 00 00 00 00 00 00 00 40 e3 00
Mar  2 12:10:48 TheVault kernel: scsi target1:0:3: handle(0x000c), sas_address(0x4433221103000000), phy(3)
Mar  2 12:10:48 TheVault kernel: scsi target1:0:3: enclosure logical id(0x500605b00daaefd0), slot(1) 
Mar  2 12:10:48 TheVault kernel: scsi target1:0:3: enclosure level(0x0000), connector name(     )
Mar  2 12:10:50 TheVault kernel: sd 1:0:3:0: task abort: SUCCESS scmd(0x00000000d857461f)
Mar  2 12:10:50 TheVault kernel: sd 1:0:0:0: attempting task abort!scmd(0x0000000054158672), outstanding for 17520 ms & timeout 15000 ms
Mar  2 12:10:50 TheVault kernel: sd 1:0:0:0: [sdd] tag#283 CDB: opcode=0x85 85 06 20 00 00 00 00 00 00 00 00 00 00 40 e3 00
Mar  2 12:10:50 TheVault kernel: scsi target1:0:0: handle(0x0009), sas_address(0x4433221100000000), phy(0)
Mar  2 12:10:50 TheVault kernel: scsi target1:0:0: enclosure logical id(0x500605b00daaefd0), slot(3) 
Mar  2 12:10:50 TheVault kernel: scsi target1:0:0: enclosure level(0x0000), connector name(     )
Mar  2 12:10:51 TheVault emhttpd: read SMART /dev/nvme1n1
Mar  2 12:10:51 TheVault emhttpd: read SMART /dev/sde
Mar  2 12:10:51 TheVault emhttpd: read SMART /dev/sdb
Mar  2 12:10:51 TheVault emhttpd: read SMART /dev/sdf
Mar  2 12:10:51 TheVault emhttpd: read SMART /dev/sdc
Mar  2 12:10:51 TheVault kernel: sd 1:0:0:0: task abort: SUCCESS scmd(0x0000000054158672)
Mar  2 12:10:51 TheVault emhttpd: read SMART /dev/nvme0n1
Mar  2 12:10:51 TheVault emhttpd: read SMART /dev/sda

 

Link to comment
2 hours ago, SimonF said:

Upgraded Test system. Was this meant to be changed?

 

sed -i 's/1000/3000/' /usr/local/emhttp/plugins/dynamix/include/Syslog.php

 

 

It looks like it's still needed.

 

 

Otherwise, an uneventful upgrade. Thanks.

 

Link to comment
38 minutes ago, mgrx said:

I've just updated, and i get a noVNC error on every vm i try to access using the integrated vnc client:

 

 

I had this issue when I upgraded from 6.8 to 6.8 RC2.  Clearing the web browser cache (i.e. Edge) cured it for me.

Edited by Mixim
added more details
  • Like 4
Link to comment
1 hour ago, vityatsoi said:

i seem to have a problem. upgraded, pressed reboot and it's been almost 2 hours.

well as it turns out, after upgrading, ipv4 of my unraid changed and it was booting alright but i kept opening old page) ta-dah)

Edited by vityatsoi
  • Haha 1
Link to comment
26 minutes ago, Pixel5 said:

task abort: SUCCESS scmd

 

I get a similar message for my SAS Parity drive when I connect a USB stick, but for me Spin ups and down work fine. I have created new bug report for 6.9.0 for my issue. Suggest you do the same for yours.

  • Thanks 1
Link to comment
1 hour ago, Mixim said:

I had this issue when I upgraded from 6.8 to 6.8 RC2.  Clearing the web browser cache (i.e. Edge) cured it for me.

 

Cheers,

 

that was too easy, should have thought about that myself. Worked like a charm. Thank you mate!

  • Like 1
Link to comment
1 hour ago, tzotz said:

Dear unRaid help,

 

I installed the new version as described (both via the plugin install (see below) and via the tools->update OS) the installation completed successfully for all I can tell but rebooting the system still says "version 6.8.3", why is that?

unraid 6.90 stable install.jpg

 

according to the screenshot the update failed but it gives no indication as to why

Link to comment
1 hour ago, mgrx said:

I've just updated, and i get a noVNC error on every vm i try to access using the integrated vnc client:

 

 

 

Have you cleared the browsers cache?  I seem to remember this being the fix for such an issue in the past.

  • Like 1
Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.